import type { PnLanguages } from "../../../index";
export declare class PnOcrSearch {
    hostElement: HTMLElement;
    loading: boolean;
    error: boolean;
    ocrNumber?: string;
    searchSuccess: boolean;
    invalidOcrNumber: boolean;
    /** The `language` property will be prioritized before the pnTopbar language. */
    language?: PnLanguages;
    componentWillLoad(): Promise<void>;
    getTranslation(key: string): string;
    handleSearch(e: CustomEvent<string>): void;
    ocrNumberSearch(ocrNumber: string): Promise<void>;
    validateOcrNumber(value: string): {
        error: boolean;
        value: string;
    };
    renderSearchResult(): any;
    renderErrorMessage(): any;
    render(): any;
}
